<br />
<div class="container">
	<h4>Highscore</h4>
	<% 
	highscore = Hash.new
	num_score_to_get = 3 # total number of score we want to display
	count = 1 # helper variable to count how many score we have displayed
	@users.each do |user|
		next if user.get_total_steps_so_far == 0
		highscore[user.get_total_steps_so_far] = user
	end 
	%>
	<%
	if highscore.length > 0
		highscore = highscore.sort_by { |key, value| key.to_i }.reverse %>
		<div class="row">
		<% highscore.each do |key, user| 
			if count < num_score_to_get+1 %>
				<div class="highscore-top3">
					<div style="float:left; margin-right:10px;">
						<% if count == 1 %>
							<%= image_tag 'gold_medal.jpg', :class=>'medal-image' %>
						<% elsif count == 2%>
							<%= image_tag 'silver_medal.jpg', :class=>'medal-image' %>
						<% elsif count == 3%>
							<%= image_tag 'bronze_medal.jpg', :class=>'medal-image' %>
						<% end %>
						
				    	<% if user.image? %>
						    <%= image_tag user.image_url, :class=>'profile-image img-circle' %>
					    <% else %>
							<%= image_tag 'nopic.jpg', :class=>'profile-image img-circle' %>
					    <% end %>
				    </div>
		
					<div>
						<div>
							<strong><%=user.first_name%> <%= user.last_name %></strong>
						</div>
						<div>
							<span style="font-size:150%">
							<%= number_with_delimiter(user.get_total_steps_so_far, delimiter:",") %>
							</span>
							 steps
						</div>
					</div>
				</div>
			<%
			else
			%>
				<div class="highscore-not-top3">
					<strong><%=count%></strong> <%=user.first_name%> <%= user.last_name %>
					(
					<span style="font-size:150%">
					<%= number_with_delimiter(user.get_total_steps_so_far, delimiter:",") %> 
					</span>
					steps)
				</div>
			<%
			end # end if not top 3
			
			count +=1
		end # end iterating highscore %>
		</div>
	<% else %>
		<h5>Highscore is not available at this moment.</h5>
	<% end # if highscore available %>
</div>
